%define name	libx86
%define version	1.1
%define major	1
%define libname	%mklibname x86 %{nil} %{major}
%define develname	%mklibname x86 -d

Name:		%name
Version:	%version
Release:	%mkrel 15
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries
URL:		http://www.codon.org.uk/~mjg59/libx86/
Source:		http://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.xz
Patch0:		libx86-add-pkgconfig.patch
Patch1:		libx86-mmap-offset.patch
Patch2:		libx86-libc-test.patch
Patch5:     libx86-1.1-24-fix-invalid-hlt-opcode.patch
Patch6:		libx86-1.1-staticsharedcflags.patch
Patch7:		libx86-0.99-ifmask.patch

License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	%{ix86} x86_64

%description
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

%package -n %{libname}
Summary:	Hardware-independent library for executing real-mode x86 code
Group:		System/Libraries

%description -n %{libname}
It's often useful to be able to make real-mode x86 BIOS calls from userland.
lrmi provides a simple interface to this for x86 machines, but this doesn't
help on other platforms.

libx86 provides the lrmi interface, but will also run on platforms such as
amd64 and alpha.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development files for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch5 -p1 -b .hlt
%patch6 -p1 -b .pic
%patch7 -p0 -b .ifmask


%build
%ifarch %{ix86}
%make_build CFLAGS="%{optflags} -fPIC"
%else
%make_build BACKEND="x86emu" CFLAGS="%{optflags} -fPIC -DX86EMU"
%endif

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install
rm $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libx86.so.%{major}

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libx86.so
%{_includedir}/libx86.h
%{_libdir}/pkgconfig/x86.pc

%changelog
* Wed Jan 26 2022 tex - 1.1-15pclos2022
- rebuild against updates

* Wed Jan 25 2021 tex - 1.1-14pclos2021
- sync to mga

* Sun Mar 31 2019 tex - 1.1-13pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.1-12pclos2019
- rebuild against updates

* Sat Nov 18 2017 bb2 <bb2> - 1.1-11pclos2017.1
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 1.1-10.1pclos2017
- rebuild new xorg
